Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.coordination
Class ParameterBindingManagerBean.WindowSelectItemGroup

    java.lang.Object
      javax.faces.model.SelectItem
          javax.faces.model.SelectItemGroup
              org.jboss.portal.core.admin.ui.coordination.ParameterBindingManagerBean.WindowSelectItemGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Enclosing class:
  ParameterBindingManagerBean

    public class ParameterBindingManagerBean.WindowSelectItemGroup

extends javax.faces.model.SelectItemGroup
implements java.lang.Comparable

See Also:
  Serialized Form

Constructor Summary
`ParameterBindingManagerBean.WindowSelectItemGroup(Window window)`

Method Summary
`void` | `add(ParameterBindingManagerBean.ParameterWindowSelectItem parameterWindowSelectItem)`
`int` | `compareTo(java.lang.Object o)`

Methods inherited from class javax.faces.model.SelectItemGroup
`getSelectItems, setSelectItems`

Methods inherited from class javax.faces.model.SelectItem
`getDescription, getLabel, getValue, isDisabled, isEscape, setDescription, setDisabled, setEscape, setLabel, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterBindingManagerBean.WindowSelectItemGroup

    public ParameterBindingManagerBean.WindowSelectItemGroup(Window window)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### add

    public void add(ParameterBindingManagerBean.ParameterWindowSelectItem parameterWindowSelectItem)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD